## erlang-p1-xml 0.2014.07.02

=== debian/changelog ===
erlang-p1-xml (0.2014.07.02-1) unstable; urgency=medium

  * Imported Upstream version 0.2014.07.02

 -- Philipp Huebner <debalance@debian.org>  Thu, 10 Jul 2014 17:52:35 +0200

erlang-p1-xml (0.2014.02.28-2) unstable; urgency=medium

  * Added correct Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 May 2014 12:52:43 +0200

erlang-p1-xml (0.2014.02.28-1) unstable; urgency=low

  * Initial release, see #744885 for background

 -- Philipp Huebner <debalance@debian.org>  Wed, 16 Apr 2014 18:34:04 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


include /usr/share/dpkg/pkg-info.mk


DESTDIR=$(CURDIR)/debian/erlang-p1-xml


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_configure:
	./configure
	dh_auto_configure


override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl priv/lib/*.so ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_xml-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_xml-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_xml-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done


override_dh_auto_clean:
	rm -f config.log config.status rebar.config.script
	rm -rf priv
	dh_auto_clean

## erlang-p1-xml 1.1.2

=== Makefile ===
all: src

src:
	rebar get-deps compile xref

clean:
	rebar clean

test: all
	rebar -v skip_deps=true eunit

# We assume Elixir and Quviq Quickcheck are installed
exunit:
	MIX_EXS=test/elixir/mix.exs mix test

check-syntax:
	gcc -o nul -S ${CHK_SOURCES}

.PHONY: clean src test all

## erlang-p1-xml 0.2014.08.27

=== debian/changelog ===
erlang-p1-xml (0.2014.08.27-1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Mar 2017 18:45:11 +0100

erlang-p1-xml (0.2014.08.27-1) unstable; urgency=low

  * Imported Upstream version 0.2014.08.27

 -- Philipp Huebner <debalance@debian.org>  Thu, 28 Aug 2014 09:53:10 +0200

=== debian/control ===
Source: erlang-p1-xml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, libexpat1-dev, erlang-base (>= 1:17.3)
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/processone/xml


Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:17.3) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

## erlang-p1-xml 0.2015.04.15

=== debian/changelog ===
erlang-p1-xml (0.2015.04.15-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.04.15
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control
  * Streamlined debian/rules

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 19:01:41 +0200

=== debian/control ===
Source: erlang-p1-xml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-syntax-tools, libexpat1-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/processone/xml
Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-p1-xml.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-p1-xml.git

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,7 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-include /usr/share/dpkg/pkg-info.mk
-
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-xml
 
@@ -37,6 +28,6 @@
 
 
 override_dh_auto_clean:
-	rm -f config.log config.status rebar.config.script
+	rm -f config.log config.status
 	rm -rf priv
 	dh_auto_clean

## erlang-p1-xml 1.1.2

=== debian/changelog ===
erlang-p1-xml (1.1.2-1) unstable; urgency=medium

  * Imported Upstream version 1.1.2
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Wed, 03 Feb 2016 10:03:50 +0100

erlang-p1-xml (1.1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1
  * Updated debian/copyright
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 16 Jan 2016 12:32:54 +0100

erlang-p1-xml (0.2015.10.23-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.10.23

 -- Philipp Huebner <debalance@debian.org>  Sat, 31 Oct 2015 16:49:31 +0100

erlang-p1-xml (0.2015.10.05-2) unstable; urgency=medium

  * Fix FTBFS on arm* and mips*

 -- Philipp Huebner <debalance@debian.org>  Thu, 08 Oct 2015 13:57:27 +0200

erlang-p1-xml (0.2015.10.05-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.10.05
  * Re-enabled eunit

 -- Philipp Huebner <debalance@debian.org>  Mon, 05 Oct 2015 11:04:35 +0200

erlang-p1-xml (0.2015.10.01-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.10.01
  * Disabled eunit because it's currently broken:
    https://github.com/processone/xml/issues/16

 -- Philipp Huebner <debalance@debian.org>  Mon, 05 Oct 2015 09:37:52 +0200

erlang-p1-xml (0.2015.07.24-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.07.24
  * Enabled eunit
  * Fixed debian/copyright (make lintian happy)

 -- Philipp Huebner <debalance@debian.org>  Mon, 17 Aug 2015 17:33:00 +0200

=== debian/control ===
Source: erlang-p1-xml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-utils (>= 1.0.3), erlang-syntax-tools, libexpat1-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/processone/xml
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-xml.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-xml.git

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.3)
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,6 @@
 
 
 override_dh_auto_clean:
-	rm -f config.log config.status
-	rm -rf priv
+	rm -f config.log config.status vars.config
+	rm -rf priv ebin .rebar
 	dh_auto_clean

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-xml_$1.tar.gz/" \
  https://github.com/processone/xml/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-xml 1.1.14

=== debian/changelog ===
erlang-p1-xml (1.1.14-1) unstable; urgency=medium

  * Imported Upstream version 1.1.14

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jul 2016 16:16:16 +0200

erlang-p1-xml (1.1.12-1) unstable; urgency=medium

  * Imported Upstream version 1.1.12
  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 16:11:31 +0200

erlang-p1-xml (1.1.11-1) unstable; urgency=medium

  * Imported Upstream version 1.1.11
  * Enabled hardening

 -- Philipp Huebner <debalance@debian.org>  Wed, 30 Mar 2016 20:03:09 +0200

erlang-p1-xml (1.1.3-1) unstable; urgency=medium

  * ProcessOne renamed xml to fast_xml
  * Imported Upstream version 1.1.3
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 14 Feb 2016 16:58:34 +0100

=== debian/control ===
Source: erlang-p1-xml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-utils (>= 1.0.4), erlang-syntax-tools, libexpat1-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/fast_xml
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-xml.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-xml.git

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.4)
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-xml 1.1.15

=== debian/changelog ===
erlang-p1-xml (1.1.15-2~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 13 Mar 2017 21:38:27 +0100

erlang-p1-xml (1.1.15-2) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:57:58 +0200

erlang-p1-xml (1.1.15-1) unstable; urgency=medium

  * New upstream version 1.1.15
  * (Build-)Depend on erlang-p1-utils (>= 1.0.5)

 -- Philipp Huebner <debalance@debian.org>  Thu, 08 Sep 2016 00:44:48 +0200

=== debian/control ===
Source: erlang-p1-xml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:17.3), erlang-eunit, erlang-p1-utils (>= 1.0.5), erlang-syntax-tools, libexpat1-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/fast_xml
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-xml.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-xml.git

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:17.3) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.4)
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-xml

## erlang-p1-xml 1.1.23

=== debian/changelog ===
erlang-p1-xml (1.1.23-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 07:51:11 +0200

erlang-p1-xml (1.1.23-1) unstable; urgency=medium

  * New upstream version 1.1.23
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 16:33:06 +0200

erlang-p1-xml (1.1.22-1~exp1) experimental; urgency=medium

  * New upstream version 1.1.22
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 12:00:17 +0200

=== debian/control ===
Source: erlang-p1-xml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-utils (>= 1.0.9), erlang-syntax-tools, libexpat1-dev
Standards-Version: 4.0.0
Section: libs
Homepage: https://github.com/processone/fast_xml
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-xml.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-xml.git

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.9)
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-xml 1.1.28

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all: src
 
 src:
-	rebar get-deps compile xref
+	rebar get-deps compile
 
 clean:
 	rebar clean

=== debian/changelog ===
erlang-p1-xml (1.1.28-1) unstable; urgency=medium

  * New upstream version 1.1.28

 -- Philipp Huebner <debalance@debian.org>  Sat, 13 Jan 2018 12:40:25 +0100

erlang-p1-xml (1.1.27-1) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)
  * New upstream version 1.1.27
  * Refreshed debian/patches

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:38:01 +0100

erlang-p1-xml (1.1.25-1) unstable; urgency=medium

  * New upstream version 1.1.25
  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:09:40 +0100

=== debian/control ===
Source: erlang-p1-xml
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-utils (>= 1.0.10),
               erlang-syntax-tools, libexpat1-dev
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/processone/fast_xml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.10)
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-xml

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-xml_$1.tar.gz/" \
  https://github.com/processone/fast_xml/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-xml 1.1.32

=== debian/changelog ===
erlang-p1-xml (1.1.32-1) unstable; urgency=medium

  * New upstream version 1.1.32
  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:25:07 +0200

erlang-p1-xml (1.1.30-1) unstable; urgency=medium

  * New upstream version 1.1.30
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 17:10:41 +0200

erlang-p1-xml (1.1.29-1) unstable; urgency=medium

  * New upstream version 1.1.29
  * Use secure copyright format uri in debian/copyright
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 23:17:54 +0200

=== debian/control ===
Source: erlang-p1-xml
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.12),
               erlang-syntax-tools,
               libexpat1-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml.git
Homepage: https://github.com/processone/fast_xml

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.12)
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-xml 1.1.34

=== debian/changelog ===
erlang-p1-xml (1.1.34-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Philipp Huebner <debalance@debian.org>  Sat, 17 Nov 2018 22:35:42 +0100

erlang-p1-xml (1.1.34-1) unstable; urgency=medium

  * New upstream version 1.1.34
  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:58:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.12),
+               erlang-p1-utils (>= 1.0.13),
                erlang-syntax-tools,
                libexpat1-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml.git
 Homepage: https://github.com/processone/fast_xml
@@ -21,7 +21,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.12)
+         erlang-p1-utils (>= 1.0.13)
 Description: XML utilities for Erlang
  This library was written for ejabberd which still uses it.
  It was split off into it's own project to follow

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

## erlang-p1-xml 1.1.36

=== debian/changelog ===
erlang-p1-xml (1.1.36-1) unstable; urgency=medium

  * New upstream version 1.1.36
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 12:58:28 +0200

=== debian/control ===
Source: erlang-p1-xml
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.15),
               erlang-syntax-tools,
               libexpat1-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml.git
Homepage: https://github.com/processone/fast_xml

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.15)
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-xml 1.1.37

=== debian/changelog ===
erlang-p1-xml (1.1.37-1) unstable; urgency=medium

  * New upstream version 1.1.37
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 14:28:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.15),
+               erlang-p1-utils (>= 1.0.16),
                erlang-syntax-tools,
                libexpat1-dev
 Standards-Version: 4.4.0
@@ -21,7 +21,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.15)
+         erlang-p1-utils (>= 1.0.16)
 Description: XML utilities for Erlang
  This library was written for ejabberd which still uses it.
  It was split off into it's own project to follow

## erlang-p1-xml 1.1.38

=== Makefile ===
ERL=erl

all: src

src:
	rebar get-deps compile

clean:
	rebar clean

test: all
	rebar -v skip_deps=true eunit

spec:
	$(ERL) -noinput +B -pa ebin -pa deps/*/ebin -eval 'case fxml_gen:compile("spec/fxmlrpc_codec.spec", [{erl_dir, "src"}, {hrl_dir, "include"}]) of ok -> halt(0); _ -> halt(1) end.'

# We assume Elixir and Quviq Quickcheck are installed
exunit:
	MIX_EXS=test/elixir/mix.exs mix test

check-syntax:
	gcc -o nul -S ${CHK_SOURCES}

.PHONY: clean src test all spec

=== debian/changelog ===
erlang-p1-xml (1.1.38-1) unstable; urgency=medium

  * New upstream version 1.1.38
  * Fixed typo in long package description.
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 19:44:17 +0100

=== debian/control ===
Source: erlang-p1-xml
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.17),
               erlang-syntax-tools,
               libexpat1-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml.git
Homepage: https://github.com/processone/fast_xml

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.17)
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

## erlang-p1-xml 1.1.43

=== debian/changelog ===
erlang-p1-xml (1.1.43-1) unstable; urgency=medium

  * New upstream version 1.1.43
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 17:42:14 +0200

erlang-p1-xml (1.1.42-1) unstable; urgency=medium

  * New upstream version 1.1.42
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 22:20:13 +0200

erlang-p1-xml (1.1.40-1) unstable; urgency=medium

  * New upstream version 1.1.40

 -- Philipp Huebner <debalance@debian.org>  Fri, 01 May 2020 13:47:40 +0200

erlang-p1-xml (1.1.39-1) unstable; urgency=medium

  * New upstream version 1.1.39
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 12:46:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.17),
+               erlang-p1-utils (>= 1.0.20),
                erlang-syntax-tools,
                libexpat1-dev
 Standards-Version: 4.5.0
@@ -22,7 +22,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.17)
+         erlang-p1-utils (>= 1.0.20)
 Description: XML utilities for Erlang
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

## erlang-p1-xml 1.1.45

=== debian/changelog ===
erlang-p1-xml (1.1.45-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Philipp Huebner <debalance@debian.org>  Tue, 09 Feb 2021 08:36:22 +0100

erlang-p1-xml (1.1.45-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 19:26:36 +0100

erlang-p1-xml (1.1.45-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 18:34:50 +0100

erlang-p1-xml (1.1.45-1) unstable; urgency=medium

  * New upstream version 1.1.45
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-xml.install

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 00:30:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.20),
+               erlang-p1-utils (>= 1.0.21),
                erlang-syntax-tools,
                libexpat1-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml.git
 Homepage: https://github.com/processone/fast_xml
@@ -22,7 +22,8 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.20)
+         erlang-p1-utils (>= 1.0.21)
+Multi-Arch: allowed
 Description: XML utilities for Erlang
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

## erlang-p1-xml 1.1.47

=== debian/changelog ===
erlang-p1-xml (1.1.47-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Sep 2021 19:31:15 +0200

erlang-p1-xml (1.1.47-1) unstable; urgency=medium

  * New upstream version 1.1.47
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 21:57:22 +0200

## erlang-p1-xml 1.1.48

=== debian/changelog ===
erlang-p1-xml (1.1.48-1) unstable; urgency=medium

  * New upstream version 1.1.48
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Mon, 20 Dec 2021 19:37:11 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.21),
+               erlang-p1-utils (>= 1.0.23),
                erlang-syntax-tools,
                libexpat1-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml.git
 Homepage: https://github.com/processone/fast_xml
@@ -22,7 +22,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.21)
+         erlang-p1-utils (>= 1.0.23)
 Multi-Arch: allowed
 Description: XML utilities for Erlang
  This library was written for ejabberd which still uses it.

## erlang-p1-xml 1.1.49

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,25 @@
+REBAR ?= rebar
+
+IS_REBAR3:=$(shell expr `$(REBAR) --version | awk -F '[ .]' '/rebar / {print $$2}'` '>=' 3)
+
 ERL=erl
 
 all: src
 
 src:
-	rebar get-deps compile
+	$(REBAR) get-deps
+	$(REBAR) compile
 
 clean:
-	rebar clean
+	$(REBAR) clean
 
+ifeq "$(IS_REBAR3)" "1"
+test:
+	$(REBAR) eunit -v
+else
 test: all
-	rebar -v skip_deps=true eunit
+	$(REBAR) -v skip_deps=true eunit
+endif
 
 spec:
 	$(ERL) -noinput +B -pa ebin -pa deps/*/ebin -eval 'case fxml_gen:compile("spec/fxmlrpc_codec.spec", [{erl_dir, "src"}, {hrl_dir, "include"}]) of ok -> halt(0); _ -> halt(1) end.'

=== debian/changelog ===
erlang-p1-xml (1.1.49-3) unstable; urgency=medium

  * Dropped debian/erlang-p1-xml.install, added debian/source/options and
    fixed debian/rules (closes: #1044837, #1049636)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-xml.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 22:44:31 +0100

erlang-p1-xml (1.1.49-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.

  [ Philipp Huebner ]
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 14:51:39 +0100

erlang-p1-xml (1.1.49-1) unstable; urgency=medium

  * New upstream version 1.1.49
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated years in debian/copyright
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 12:40:31 +0200

=== debian/control ===
Source: erlang-p1-xml
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6),
               erlang-base,
               erlang-eunit,
               erlang-p1-utils (>= 1.0.25),
               erlang-syntax-tools,
               libexpat1-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml.git
Homepage: https://github.com/processone/fast_xml

Package: erlang-p1-xml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.25)
Multi-Arch: allowed
Description: XML utilities for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-xml
 
@@ -15,7 +15,6 @@
 	./configure
 	dh_auto_configure
 
-
 override_dh_auto_install:
 	dh_auto_install
 	for file in include/*.hrl priv/lib/*.so ; do \
@@ -26,9 +25,9 @@
 			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_xml-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 		fi ; \
 	done
-
+	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
 
 override_dh_auto_clean:
-	rm -f config.log config.status vars.config
+	dh_auto_clean
+	rm -rf compile_commands.json config.log config.status vars.config
 	rm -rf priv ebin .rebar
-	dh_auto_clean

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-xml_$1.tar.gz/" \
  https://github.com/processone/fast_xml/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-xml 1.1.51

=== debian/changelog ===
erlang-p1-xml (1.1.51-1) unstable; urgency=medium

  * New upstream version 1.1.51
  * Added upstream patch to fix FTBFS caused by failing EUnit tests
    (Closes: #1064722)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Fri, 07 Jun 2024 09:32:29 +0200

## erlang-p1-xml 1.1.52

=== debian/changelog ===
erlang-p1-xml (1.1.52-1) unstable; urgency=medium

  * New upstream version 1.1.52
  * Updated Erlang dependencies
  * Dropped debian/patches/

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 21:24:39 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.25),
+               erlang-p1-utils (>= 1.0.26),
                erlang-syntax-tools,
                libexpat1-dev
 Standards-Version: 4.6.2
@@ -22,7 +22,7 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.25)
+         erlang-p1-utils (>= 1.0.26)
 Multi-Arch: allowed
 Description: XML utilities for Erlang
  This library was written for ejabberd which still uses it.

## erlang-p1-xml 1.1.55

=== debian/changelog ===
erlang-p1-xml (1.1.55-1) unstable; urgency=medium

  * New upstream version 1.1.55
  * Updated Standards-Version: 4.7.0 (no changes needed)
  * debian/rules: add creation of symbolic link for native app name
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:16:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                erlang-p1-utils (>= 1.0.26),
                erlang-syntax-tools,
                libexpat1-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xml.git
 Homepage: https://github.com/processone/fast_xml

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 		fi ; \
 	done
 	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
+	ln -s /usr/lib/erlang/lib/p1_xml-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/fast_xml-$(DEB_VERSION_UPSTREAM)
 
 override_dh_auto_clean:
 	dh_auto_clean

## erlang-p1-xml 1.1.57

=== debian/changelog ===
erlang-p1-xml (1.1.57-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream release.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 21:44:42 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-utils (>= 1.0.28),
                erlang-syntax-tools,
                libexpat1-dev
 Standards-Version: 4.7.0

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/fast_xml
